IdentifierSource.Nature (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.metamodel.source.binder
Enum IdentifierSource.Nature

    java.lang.Object
      java.lang.Enum<IdentifierSource.Nature>
          org.hibernate.metamodel.source.binder.IdentifierSource.Nature

All Implemented Interfaces:
  Serializable, Comparable<IdentifierSource.Nature>

Enclosing interface:
  IdentifierSource

    public static enum IdentifierSource.Nature

extends Enum<IdentifierSource.Nature>

Enum Constant Summary
`AGGREGATED_COMPOSITE` Composite identifier with an actual component class used to aggregate the individual attributes
`COMPOSITE` What we used to term an "embedded composite identifier", which is not to be confused with the JPA term embedded.
`SIMPLE` A single, simple identifier.

Method Summary
`static IdentifierSource.Nature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IdentifierSource.Nature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIMPLE

    public static final IdentifierSource.Nature SIMPLE

  A single, simple identifier. Equivalent of an `<id/>` mapping or a single `@Id` annotation. Indicates the `IdentifierSource` is castable to `SimpleIdentifierSource`.

### COMPOSITE

    public static final IdentifierSource.Nature COMPOSITE

  What we used to term an "embedded composite identifier", which is not to be confused with the JPA term embedded. Specifically a composite id where there is no component class, though there may be an `@IdClass`.

### AGGREGATED_COMPOSITE

    public static final IdentifierSource.Nature AGGREGATED_COMPOSITE

  Composite identifier with an actual component class used to aggregate the individual attributes

Method Detail

### values

    public static IdentifierSource.Nature[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IdentifierSource.Nature c : IdentifierSource.Nature.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IdentifierSource.Nature valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.